org.red5.server.net.rtmp.codec

## Class RTMPCodecFactory

- java.lang.Object
- - org.red5.server.net.rtmp.codec.RTMPCodecFactory

All Implemented Interfaces:
  ProtocolCodecFactory

Direct Known Subclasses:
  RTMPTCodecFactory

    public class RTMPCodecFactory
    extends Object
    implements ProtocolCodecFactory

RTMP codec factory creates RTMP encoders/decoders.

### Field Summary

Fields
`protected Deserializer` `deserializer` Deserializer.
`protected Serializer` `serializer` Serializer.

### Constructor Summary

Constructors
Constructor and Description
`RTMPCodecFactory()`

### Method Summary

Methods
`ProtocolDecoder` `getDecoder(IoSession session)`
`ProtocolEncoder` `getEncoder(IoSession session)`
`RTMPProtocolDecoder` `getRTMPDecoder()` Returns the RTMP decoder.
`RTMPProtocolEncoder` `getRTMPEncoder()` Returns the RTMP encoder.
`void` `init()` Initialization
`void` `setDeserializer(Deserializer deserializer)` Setter for deserializer.
`void` `setSerializer(Serializer serializer)` Setter for serializer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### deserializer

    protected Deserializer deserializer

Deserializer.

#### serializer

    protected Serializer serializer

Serializer.

### Constructor Detail

#### RTMPCodecFactory

    public RTMPCodecFactory()

### Method Detail

#### init

    public void init()

Initialization

#### setDeserializer

    public void setDeserializer(Deserializer deserializer)

Setter for deserializer.

Parameters:
  `deserializer` - Deserializer

#### setSerializer

    public void setSerializer(Serializer serializer)

Setter for serializer.

Parameters:
  `serializer` - Serializer

#### getDecoder

    public ProtocolDecoder getDecoder(IoSession session)

Specified by:
  `getDecoder` in interface `ProtocolCodecFactory`

#### getEncoder

    public ProtocolEncoder getEncoder(IoSession session)

Specified by:
  `getEncoder` in interface `ProtocolCodecFactory`

#### getRTMPDecoder

    public RTMPProtocolDecoder getRTMPDecoder()

Returns the RTMP decoder.

Returns:
  decoder

#### getRTMPEncoder

    public RTMPProtocolEncoder getRTMPEncoder()

Returns the RTMP encoder.

Returns:
  encoder